<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

/**
 * NeoLegal Component Controller
 *
 * @package		Joomla
 * @subpackage	NeoLegal
 * @since 1.5
 */
class NeoLegalController extends JController
{
	/**
	 * Method to show a legals view
	 *
	 * @access	public
	 * @since	1.5
	 */
	function display() {
		
		// Set a default view if none exists
		$view = JRequest::getCmd( 'view' );
		
		if ( $view != 'use' && $view != 'policy' ) {
			JRequest::setVar( 'view', 'legals' );
		}
		
		parent::display();
	}
}