<?php
/**
* sh404SEF support for NeoLegal component.
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// ------------------  standard plugin initialize function - don't change ---------------------------
global $sh_LANG;
$sefConfig = & shRouter::shGetConfig();  
$shLangName = '';
$shLangIso = '';
$title = array();
$shItemidString = '';
$dosef = shInitializePlugin( $lang, $shLangName, $shLangIso, $option);
if ($dosef == false) return;
// ------------------  standard plugin initialize function - don't change ---------------------------

// ------------------  load language file - adjust as needed ----------------------------------------
// $shLangIso = shLoadPluginLanguage( 'com_neolegal', $shLangIso, '_SEF_SAMPLE_TEXT_STRING' );
// ------------------  load language file - adjust as needed ----------------------------------------

$db =& JFactory::getDBO();

// remove common URL from GET vars list, so that they don't show up as query string in the URL
shRemoveFromGETVarsList('option');
shRemoveFromGETVarsList('lang');

if ( !empty( $Itemid ) ) {
	shRemoveFromGETVarsList( 'Itemid' );
}

// start by inserting the menu element title (just an idea, this is not required at all)
$task = isset($task) ? @$task : null;
$Itemid = isset($Itemid) ? @$Itemid : null;
$view = isset( $view ) ? @$view : 'legals';

$shSampleName = shGetComponentPrefix( $option ); 

$query = " SELECT * "
. "\n FROM #__menu "
. "\n WHERE id = $Itemid ";
$db->setQuery( $query );
if ( !$db->query() ) {
	echo $db->getErrorMsg();
}
$item = $db->loadObject();

if ( $item ) {
	
	$temp = split( "&view=", $item->link );
	$temp = split( "&", $temp[1] );
	$item->view = strval( $temp[0] );
	
	$title[] = $item->alias;
	
	if ( $view != $item->view ) {
		
		$query = " SELECT id, legals_alias, use_terms_alias, policy_alias "
		. "\n FROM #__neolegal "
		. "\n WHERE id = 1 ";
		$db->setQuery( $query );
		if ( !$db->query() ) {
			echo $db->getErrorMsg();
		}
		$legals = $db->loadObject();
		
		switch( $view ) {
			
			case 'use' : 
				$title[] = $legals->use_terms_alias ? $legals->use_terms_alias : 'use_terms';
			break;
			
			case 'policy' : 
				$title[] = $legals->policy_alias ? $legals->policy_alias : 'policy';
			break;
			
			default :
				$title[] = $legals->legals_alias ? $legals->legals_alias : 'legals';
			break;
		}
	}
	
	shRemoveFromGETVarsList('view');
}


// ------------------  standard plugin finalize function - don't change ---------------------------  
if ( $dosef ) {	
	$string = shFinalizePlugin( 
		$string, 
		$title, 
		$shAppendString, 
		$shItemidString, 
		( isset( $limit ) ? @$limit : null ), 
		( isset( $limitstart ) ? @$limitstart : null ),
		( isset( $shLangName ) ? @$shLangName : null )
	);
}      
// ------------------  standard plugin finalize function - don't change ---------------------------
?>