<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Require the base controller
require_once( JPATH_COMPONENT.DS.'controller.php' );

// Component Helper
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'route.php');
jimport('joomla.application.component.helper');

// Require specific controller if requested
if ( $controller = JRequest::getWord( 'controller' ) ) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if ( file_exists( $path ) ) {
		require_once $path;
	} else {
		$controller = '';
	}
}

// Create the controller
$classname	= 'NeoLegalController'.ucfirst($controller);
$controller = new $classname( );

// Perform the Request task
$controller->execute( JRequest::getCmd( 'task' ) );

// Redirect if set by the controller
$controller->redirect();
