<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php if ( $this->params->def( 'show_page_title', 1 ) ) : ?>
	<h1 class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php echo $this->escape( $this->params->get( 'page_title' ) ); ?>
	</h1>
<?php endif; ?>

<?php if ( $this->legals->policy_display_title ) { ?>
	<h2 class="contentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php echo $this->legals->policy_title; ?>
	</h2>
<?php } ?>

<div class="article-content"><?php echo $this->legals->policy; ?></div>

<ul>
	<?php if ( $this->params->get( 'show_link_legals' ) ) { ?>
		<li>
			<a class="category" href="<?php echo JRoute::_( NeoLegalHelperRoute::getLegalsRoute( $this->Itemid ) ); ?>">
				<?php echo $this->legals->legals_title; ?>
			</a>
		</li>
	<?php } ?>
	<?php if ( $this->params->get( 'show_link_use' ) ) { ?>
		<li>
			<a class="category" href="<?php echo JRoute::_( NeoLegalHelperRoute::getUseTermsRoute( $this->Itemid ) ); ?>">
				<?php echo $this->legals->use_terms_title; ?>
			</a>
		</li>
	<?php } ?>
</ul>